# BMA Server Framework: core::CommandList Class Reference

core::CommandList Class Reference
Inheritance diagram for core::CommandList:
[legend]
Collaboration diagram for core::CommandList:
[legend]

## Public Member Functions

void | add (Command &command, std::string name="")
void | remove (Command &command)
bool | processRequest (std::string request, Session *session)
int | processCommand (std::string request, Session *session) override
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual void | output (Session *session)
void | setName (std::string name)
std::string | getName ()

## Additional Inherited Members

Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Member Function Documentation

## processCommand()

int core::CommandList::processCommand | ( | std::string | request,
|  | Session * | session
| ) |  |

overridevirtual

This method is used to implement the functionality of the requested command. This pure virtual function must be implemented in your inheriting object.

Parameters

  request | The request that was entered by the user to invoke this command.
  session | Specify the requesting session so that the execution of the command process can return its output to the session.

Returns
  Returns 0 if execution of the command was successful. Otherwise returns a non-zero value indicating an error condition.

Implements core::Command.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/CommandList.h
- /home/barant/Development/BMA/server_core/ServerCore/CommandList.cpp